$ WRITE_SYS$OUTPUT := "WRITE_ SYS$OUTPUT"
$ IF P2 .EQS. "QUIET" THEN WRITE_SYS$OUTPUT := "!"
$ 
$ IF F$SEARCH("''P1'") .NES. "" THEN GOTO DOIT
$ TYPE_/NOPAGE SYS$INPUT:
  USAGE: ANALYZE_MAP <file> [opt]
         where  <file> should be an existing File
                [opt]  = 'quiet' suppresses any Messages
$ EXIT_
$
$ DOIT:
$
$ NAME = F$PARSE(P1,,,"DEVICE")+F$PARSE(P1,,,"DIRECTORY")+F$PARSE(P1,,,"NAME")
$ WRITE_SYS$OUTPUT ""
$ WRITE_SYS$OUTPUT "[1m  Analyze_Map[m  Version 1.1 (jp)"
$ WRITE_SYS$OUTPUT "  searching ''P1' for shared Read/Write Data"
$ SEARCH_/NOHIGH/WINDOW=(0,0) 'P1' ",  SHR,NOEXE,  RD,  WRT"/OUT='NAME.PSECT_TMP
$
$ OPEN_/READ IN 'NAME.PSECT_TMP
$ OPEN_/WRITE OUT 'NAME.PSECT
$
$ WRITE_ OUT "!"
$ WRITE_ OUT "! ### PSECT Declarations for ''P1'"
$ WRITE_ OUT "!" 
$ LAST = ""
$ LOOP_PSECT:
$    READ_/END=EOF_PSECT IN REC
$    J = F$LOCATE(" ",REC)
$    S = F$EXTRACT(0,J,REC)
$    IF S .EQS. LAST THEN GOTO LOOP_PSECT
$    J1 = F$LOCATE("(",REC)
$    J2 = F$LOCATE(".)",REC)
$    SIZE = F$INTEGER(F$EDIT(F$EXTRACT(J1+1,J2-J1-1,REC),"TRIM"))
$    IF SIZE .EQ. 0 THEN COMMENT = "   !**WARNING, ZERO SIZE PSECT**!"
$    WRITE_ OUT "PSECT_ATTR = " +  S + " , NOSHR"
$    LAST = S
$    GOTO LOOP_PSECT
$
$ EOF_PSECT:
$    CLOSE_ IN
$    CLOSE_ OUT 
$    DELETE_/NOLOG/NOCONFIRM 'NAME.PSECT_TMP;*
$
$ WRITE_SYS$OUTPUT "  searching ''P1' for Universal Functions"
$ SEARCH_/NOHIGH/WINDOW=(0,0) 'P1' " R-"/OUT='NAME.UNIVERSAL_TMP
$
$ OPEN_/READ IN 'NAME.UNIVERSAL_TMP
$ OPEN_/WRITE OUT 'NAME.UNIVERSAL
$ WRITE_ OUT "!"
$ WRITE_ OUT "! ### UNIVERSAL Declarations for ''P1'"
$ WRITE_ OUT "!" 
$
$ LOOP_UNIVERSAL:
$    READ_/END=EOF_UNIVERSAL IN REC
$    J = F$LOCATE(" R-",REC)
$    S = "UNIVERSAL = "+F$EXTRACT(J+3,F$length(rec),REC)
$    WRITE_ OUT S
$    GOTO LOOP_UNIVERSAL
$
$ EOF_UNIVERSAL:
$    CLOSE_ IN
$    CLOSE_ OUT
$    DELETE_/NOLOG/NOCONFIRM 'NAME.UNIVERSAL_TMP;*
$
$ WRITE_SYS$OUTPUT ""
$ EXIT_ 




$!
$! To create a sharable library from a regular non-shared object
$! library the call to the linker would look something like this:
$!
$!  $ LINK/DEBUG/SHARE/MAP/FULL/EXE=FOO.EXE -
$!    FOO.OLB/LIB/INCLUDE=(M1,M2,M3) -
$!    SYS$INPUT:/OPT
$!    SYS$LIBRARY:VAXCRTL/SHARE
$!    PSECT_ATTR=extern1,NOSHR,LCL
$!    PSECT_ATTR=extern2,NOSHR,LCL
$!    ....
$!    UNIVERSAL=routine1
$!    UNIVERSAL=routine2
$!    UNIVERSAL=routine3
$!    ...
$!
$! /INCLUDE   modules are those that have global variable initializations
$!            but do not contain routine definitions which are automatically
$!            pulled in by the linking seach mechanism. e.g. a file containing
$!            nothing but global variable definitions. At least one /INCLUDE
$!            must be given. A zero-sized psect could be an indication of
$!            a module that needs to be in the /INCLUDE list.
$!
$! PSECT_ATTR may be automatically generated by this command procedure.
$!            According to usage these can be changed to from NOSHR to NOWRT,
$!            and also have LCL added to them if they are not to be referenced
$!            outside the sharable library.
$!
