$ SAVE_VERIFY='F$VERIFY(0)
$ if p1 .Eqs. "CLEAN" then goto clean
$ if p1 .Eqs. "CLOBBER" then goto clobber
$ if p1 .Eqs. "INSTALL" then goto install
$!
$!	Compile the X11R4 Unix and VMS Utils library
$!
$ Set Symbol/Scope=NoGlobal
$!
$!  Set the necesscery logicals path names
$!
$!
$!  Get the compiler options via the logical name COPTS
$!
$ def copts "/inc=sys/debug"
$ def lopts "/debug"
$ cc_options = f$trnlnm("COPTS")
$!
$!  Get the assembler options via the logical name MOPTS
$!
$ mac_options = f$trnlnm("MOPTS")
$!
$!  Get the linker options via the logical name LOPTS
$!
$ link_options = f$trnlnm("LOPTS")
$!
$!  Compile the "C" files
$!
$! CALL MAKE FILE.OBJ	"CC ''cc_options' FILE.C"	FILE.C
$ write sys$output "Compiling VMS UNIX Emulation Utilites"
$ CALL MAKE CHOOSE_WINDOW.OBJ	"CC ''cc_options' CHOOSE_WINDOW.C"	CHOOSE_WINDOW.C
$ CALL MAKE GETOPT.OBJ		"CC ''cc_options' GETOPT.C"		GETOPT.C
$ CALL MAKE GETHOSTNAME.OBJ	"CC ''cc_options' GETHOSTNAME.C"	GETHOSTNAME.C
$ CALL MAKE PRINT_EVENT.OBJ	"CC ''cc_options' PRINT_EVENT.C"	PRINT_EVENT.C
$ CALL MAKE PSEUDO_ROOT.OBJ	"CC ''cc_options' PSEUDO_ROOT.C"	PSEUDO_ROOT.C
$ CALL MAKE RANDOM.OBJ		"CC ''cc_options' RANDOM.C"		RANDOM.C
$ CALL MAKE TIMER.OBJ		"CC ''cc_options' TIMER.C"		TIMER.C
$ CALL MAKE UNIX_TIMES.OBJ	"CC ''cc_options' UNIX_TIMES.C"		UNIX_TIMES.C
$ CALL MAKE UNLINK.OBJ		"CC ''cc_options' UNLINK.C"		UNLINK.C
$ CALL MAKE XMISC.OBJ		"CC ''cc_options' XMISC.C"		XMISC.C
$ CALL MAKE DIRECTORY.OBJ	"CC ''cc_options' DIRECTORY.C"		DIRECTORY.C
$ CALL MAKE CREATE_DIR.OBJ	"CC ''cc_options' CREATE_DIR.C"		CREATE_DIR.C
$ CALL MAKE GETPWNAM.OBJ	"CC/NOOPT ''cc_options' GETPWNAM.C"	GETPWNAM.c
$ CALL MAKE VALIDATE.OBJ	"CC ''cc_options' VALIDATE.C"		VALIDATE.C
$ CALL MAKE HPWD.OBJ		"CC ''cc_options' HPWD.C"		HPWD.C
$ CALL MAKE VMS_STAT.OBJ	"CC ''cc_options' VMS_STAT.C"		VMS_STAT.C
$ CALL MAKE USLEEP.OBJ		"CC ''cc_options' USLEEP.C"		USLEEP.C
$ CALL MAKE LNM.OBJ		"CC ''cc_options' LNM.C"		LNM.C
$ CALL MAKE STRINGS.OBJ		"MAC ''mac_options' STRINGS.MAR"	STRINGS.MAR
$!
$ if f$search("XVMSUTILS.OLB") .Nes. ""
$ then
$	lib_options = "/REPLACE/LOG"
$ else
$	lib_options = "/CREATE/LOG"
$ endif
$!
$ write sys$output "Building VMS UNIX Emulation Library"
$ CALL MAKE XVMSUTILS.OLB	"LIB ''lib_options' XVMSUTILS.OLB *.OBJ"	*.OBJ
$!
$!
$!
$ exit
$!
$ Clobber:	! Delete executables, Purge directory and clean up object files and listings
$ Delete/noconfirm/log *.olb;*
$ Delete/noconfirm/log [-.lib]xvmsutils.olb;*
$!
$ Clean:	! Purge directory, clean up object files and listings
$ Purge
$ Delete/noconfirm/log *.lis;*
$ Delete/noconfirm/log *.obj;*
$!
$ exit
$!
$ Install:
$ exit
$!
$MAKE: SUBROUTINE   !SUBROUTINE TO CHECK DEPENDENCIES
$ V = 'F$Verify(0)
$! P1 = What we are trying to make
$! P2 = Command to make it
$! P3 - P8  What it depends on
$
$ If F$Search(P1) .Eqs. "" Then Goto Makeit
$ Time = F$CvTime(F$File(P1,"RDT"))
$arg=3
$Loop:
$	Argument = P'arg
$	If Argument .Eqs. "" Then Goto Exit
$	El=0
$Loop2:
$	File = F$Element(El," ",Argument)
$	If File .Eqs. " " Then Goto Endl
$	AFile = ""
$Loop3:
$	OFile = AFile
$	AFile = F$Search(File)
$	If AFile .Eqs. "" .Or. AFile .Eqs. OFile Then Goto NextEl
$	If F$CvTime(F$File(AFile,"RDT")) .Ges. Time Then Goto Makeit
$	Goto Loop3
$NextEL:
$	El = El + 1
$	Goto Loop2
$EndL:
$ arg=arg+1
$ If arg .Le. 8 Then Goto Loop
$ Goto Exit
$
$Makeit:
$ Set Verify
$ 'P2
$ VV='F$Verify(0)
$Exit:
$ If V Then Set Verify
$ENDSUBROUTINE
