!### makefile for Xmu shared library  

TARGET = XMULIBSHR
TARGET_TYPE = shared library

CC_DEFINES = /DEF=(VMS) 

.ifdef __DECC__
CC_QUALIFIER = /NODEB/EXT=COMM/SHARE/PREF=ALL
.endif

.ifdef __VAXC__
CC_QUALIFIER = /NODEB/OPT=(D,I)
.endif

.include X11_ROOT:[COMMAND]X11_RULES.MMS

!### Objects ###################################################################

OBJS1 =\
ALLCMAP.$(OBJ_EXT),\
ATOMS.$(OBJ_EXT),\
CLIENTWIN.$(OBJ_EXT),\
CLOSEHOOK.$(OBJ_EXT),\
CMAPALLOC.$(OBJ_EXT)

OBJS2 =\
CRCMAP.$(OBJ_EXT),\
CRPIXFBIT.$(OBJ_EXT),\
CURSORNAME.$(OBJ_EXT),\
CVTCACHE.$(OBJ_EXT),\
CVTSTDSEL.$(OBJ_EXT)

OBJS3 =\
DELCMAP.$(OBJ_EXT),\
DISPLAYQUE.$(OBJ_EXT),\
DISTINCT.$(OBJ_EXT),\
DRAWLOGO.$(OBJ_EXT),\
DRRNDRECT.$(OBJ_EXT)

OBJS4 =\
EDITRESCOM.$(OBJ_EXT),\
FTOCBACK.$(OBJ_EXT),\
GETHOST.$(OBJ_EXT),\
GRAYPIXMAP.$(OBJ_EXT),\
INITER.$(OBJ_EXT)

OBJS5 =\
LOCBITMAP.$(OBJ_EXT),\
LOOKUP.$(OBJ_EXT),\
LOOKUPCMAP.$(OBJ_EXT),\
LOWER.$(OBJ_EXT),\
RDBITF.$(OBJ_EXT)

OBJS6 =\
SCROFWIN.$(OBJ_EXT),\
SHAPEWIDG.$(OBJ_EXT),\
STDCMAP.$(OBJ_EXT),\
STRTOBMAP.$(OBJ_EXT),\
STRTOBS.$(OBJ_EXT)

OBJS7 =\
STRTOCURS.$(OBJ_EXT),\
STRTOGRAV.$(OBJ_EXT),\
STRTOJUST.$(OBJ_EXT),\
STRTOLONG.$(OBJ_EXT),\
STRTOORNT.$(OBJ_EXT)

OBJS8 =\
STRTOSHAP.$(OBJ_EXT),\
STRTOWIDG.$(OBJ_EXT),\
UPDMAPHINT.$(OBJ_EXT),\
VISCMAP.$(OBJ_EXT),\
WIDGETNODE.$(OBJ_EXT)

OBJS9 =\
XCT.$(OBJ_EXT),\
_STRTOPMAP_VMS.$(OBJ_EXT),\
_XMU_VMS.$(OBJ_EXT)

! removed from List: DEFERRMSG.$(OBJ_EXT) (no xlibint.h)
!                    SHAREDLIB.$(OBJ_EXT)

!### Targets ##################################################################

DEFAULT   :   $(TARGET).$(EXE_EXT)
   @  write_ sys$output ""
   @  write_ sys$output "  $(TARGET).$(EXE_EXT) available"
   @  write_ sys$output ""

.ifdef __vax__
OPTION_FILES =\
  $(TARGET).$(OPT_EXT)/OPT,\
  $(TARGET).PSECT/OPT,\
  $(TARGET).UNIVERSAL/OPT
.endif

.ifdef __alpha__
OPTION_FILES =\
  $(TARGET).$(OPT_EXT)/OPT,\
  $(TARGET).UNIVERSAL$(ALPHA_EXT)/OPT,\
  $(TARGET).UNIVERSAL_PSECT$(ALPHA_EXT)/OPT,\
  $(TARGET).PSECT$(ALPHA_EXT)/OPT
.endif

$(TARGET).$(EXE_EXT)   :	$(OBJS1), $(OBJS2), $(OBJS3), $(OBJS4), $(OBJS5), \
				$(OBJS6), $(OBJS7), $(OBJS8), $(OBJS9)
  @ WRITE_ SYS$OUTPUT "  generating $(TARGET).$(OPT_EXT)"
  @ OPEN_/WRITE FILE  $(TARGET).$(OPT_EXT)
  @ WRITE_ FILE "!"
  @ WRITE_ FILE "! $(TARGET).$(OPT_EXT) generated by DESCRIP.$(MMS_EXT)" 
  @ WRITE_ FILE "!"
  @ WRITE_ FILE "$(OBJS1)"
  @ WRITE_ FILE "$(OBJS2)"
  @ WRITE_ FILE "$(OBJS3)"
  @ WRITE_ FILE "$(OBJS4)"
  @ WRITE_ FILE "$(OBJS5)"
  @ WRITE_ FILE "$(OBJS6)"
  @ WRITE_ FILE "$(OBJS7)"
  @ WRITE_ FILE "$(OBJS8)"
  @ WRITE_ FILE "$(OBJS9)"
  @ WRITE_ FILE "$(RTL_LIBRARY)"
  @ WRITE_ FILE "SYS$SHARE:DECW$XEXTLIBSHR/SHARE"
  @ WRITE_ FILE "SYS$SHARE:DECW$XLIBSHR/SHARE"
  @ $(IF_R4) WRITE_ FILE "SYS$SHARE:DECW$XTSHR/SHARE"
  @ $(IF_R5) WRITE_ FILE "SYS$SHARE:DECW$XTLIBSHRR5/SHARE"
  @ CLOSE_ FILE
  @ WRITE_ SYS$OUTPUT "  generating $(TARGET).$(MAP_EXT) ..."
  @ LINK_/NODEB/NOSHARE/NOEXE/MAP=$(TARGET).$(MAP_EXT)/FULL $(TARGET).$(OPT_EXT)/OPT
  @ WRITE_ SYS$OUTPUT "  analyzing $(TARGET).$(MAP_EXT) ..."
  @ @X11_LIBRARY:ANALYZE_MAP.COM $(TARGET).$(MAP_EXT) QUIET
  @ WRITE_ SYS$OUTPUT "  linking $(TARGET).$(EXE_EXT) ..."
  @ LINK_/NODEB/SHARE=$(TARGET).$(EXE_EXT)/MAP=$(TARGET).$(MAP_EXT)/FULL/CROSS -
    $(OPTION_FILES)

